Problems, need help? Have a tip or advice? Post it here.
6 posts Page 1 of 1
Hi there, while installing couch 2.1 locally, I got these two warnings, when entering the couch-folder the very first time:

Warning: Use of undefined constant K_THEME_NAME - assumed 'K_THEME_NAME' (this will throw an Error in a future version of PHP) in E:\Xampp\htdocs\projekte\couch\parser\parser.php on line 436

Warning: Use of undefined constant K_THEME_NAME - assumed 'K_THEME_NAME' (this will throw an Error in a future version of PHP) in E:\Xampp\htdocs\projekte\couch\parser\parser.php on line 437


Are they of any significance? Or can they be ignored?
This issue crops up only during installation on PHP 7.3 and has already been fixed in the GitHub version of Couch.
You can safely ignore it.
I just tried upgrading from PHP v5.6 to PHP v7.2 for a client website that is using Couch Version 2.2 beta and when I checked over the site the pages that use Mosaic produced a heap of warnings which were displayed above the website page - see below. How can I stop this happening? Suggestions welcome! Thanks.

UPGRADE PHP 7 WARNINGS.gif
UPGRADE PHP 7 WARNINGS.gif (164.85 KiB) Viewed 288 times
Are you sure you are using v2.2beta? It is only available currently from GitHub and the issue you have reported has been fixed months ago.

Please check and let me know.
looking at the bottom of the sidebar in the Admin Panel of this site is "CouchCMS Version 2.2 beta (20180619)"

Is this not correct? I presume that I downloaded from here https://github.com/CouchCMS/CouchCMS
potato wrote: CouchCMS Version 2.2 beta (20180619)

Redownload to make it 20190113.
Say `Please!` [̲̅$̲̅(̲̅ ͡° ͜ʖ ͡°̲̅)̲̅$̲̅]..... Active topics [Forum posts from previous 7 days].... helpcouch@mail.ru [My email for friends]
6 posts Page 1 of 1

Who is online

In total there are 4 users online :: 0 registered, 0 hidden and 4 guests
(based on users active over the past 5 minutes)

Users browsing this forum: No registered users and 4 guests